/******************************************************************************\
**
**     COMPANY:	LDW Software
**
**      MODULE:	CelebrationEvent
**
** DESCRIPTION:	Celebration event definitions
**
**      AUTHOR:	Adrian Francis
**
\******************************************************************************/

#ifndef CELEBRATION_EVENT_H
#define CELEBRATION_EVENT_H

/******************************************************************************\
** LIBRARY INCLUDES
\******************************************************************************/

/******************************************************************************\
** CONSTANT DEFINITIONS
\******************************************************************************/
enum ECelebrationEvent
{
	eCelebrationEvent_Hut1Built,
	eCelebrationEvent_Hut2Built,
	eCelebrationEvent_Hut3Built,
	eCelebrationEvent_LoveShackBuilt,
	eCelebrationEvent_ClothingHutBuilt,
	eCelebrationEvent_ConvertHeathenMommyComplete,
	eCelebrationEvent_BelieverIdolStageComplete,
	eCelebrationEvent_NurserySchoolPuzzleComplete,
	eCelebrationEvent_Reanimation,					// Reanimation of deceased believer
	eCelebrationEvent_Conversion,					// Conversion to believer
	eCelebrationEvent_LakeRestored,
	eCelebrationEvent_HydroFarmComplete,
	eCelebrationEvent_FenceDismantled,
	eCelebrationEvent_RestoredMausoleum,
	eCelebrationEvent_BuildingTotemDestroyed,
	eCelebrationEvent_ChildrensTotemDestroyed,
	eCelebrationEvent_ClosedEyeTotemRepaired,
	eCelebrationEvent_FoodTotemDestroyed,
	eCelebrationEvent_MedicineTotemDestroyed,
	eCelebrationEvent_RainbowTotemDestroyed,
	eCelebrationEvent_ResearchTotemDestroyed
};

/******************************************************************************\
** CLASS DEFINITIONS
\******************************************************************************/

#endif

/******************************************************************************\
** END OF FILE
\******************************************************************************/